@media (max-width: 1200px) {
    .header {
        &__link {
            margin-right: auto;
            margin-bottom: 24px;
        }

        &__nav {
            margin-bottom: 20px;
        }
    }

    .about {
        &__container {
            --gap: 80px;
        }
    }

    .service {
        &__container {
            --gap: 40px
        }
    }

    .hit {
        &__cards {
            --cards-count: 2;
        }

        &__item {
            border-radius: 32px;
        }
    }
}

@media (max-width: 1024px) {
    .about {
        &__container {
            --gap: 40px;
        }
    }

    .blog {
        &__items {
            --count-cards-row: 1;
        }
    }

    .actual {
        &__left {
            flex-basis: auto;
        }

        &__right {
            flex-basis: auto;
        }
    }

    .footer {
        &__container-top {
            flex-wrap: wrap;
            gap: 20px;
        }
    }
}

@media (max-width: 768px) {
    .header {
        &__title {
            font-size: 35px;
        }
    }

    .service {
        &__left {
            flex-basis: auto;
        }

        &__right {
            display: none;
        }
    }

    .hit {
        &__cards {
            --cards-count: 1;
        }
    }

    .actual {
        &__section-title {
            margin-bottom: 0;
        }

        &__top {
            flex-wrap: wrap;
        }
    }
}

@media (max-width: 576px) {
    .header {
        padding: 16px 0 50px 0;

        &__nav {
            display: none;
        }
    
        &__btn {
            display: none;
        }
    }

    .burger {
         display: block;
    }

    .about {
        padding: 50px 0;

        &__left {
            width: 100%;
        }

        &__container {
            flex-direction: column-reverse;
        }
    }

    .hit {
        &__sub-title {
            align-self: flex-start;
        }
    }

    .blog {
        &__sub-title {
            align-self: flex-start;
        }

        &__section-title {
            align-self: flex-start;
        }
    }

    .service {
        padding: 50px 0;
    }

    .hit {
        padding: 50px 0;
    }

    .blog {
        padding: 50px 0;

        &__item {
            padding: 312px 16px 16px 16px;
            background-position: center 16px;
        
            &_1 {
                background-image: url(images/blog-image1-mobile.jpg);
            }

            &_2 {
                background-image: url(images/blog-image2-mobile.jpg);
            }

            &_3 {
                background-image: url(images/blog-image3-mobile.jpg);
            }

            &_4 {
                background-image: url(images/blog-image4-mobile.jpg);
            }
        }
    }

    .photos {
        padding: 50px 0;

        &__sub-title {
            align-self: flex-start;
        }

        &__content {
            display: flex;
            align-items: center;
            gap: 20px;

            img {
                max-width: none;
            }
        }
    }

    .actual {
        &__container{
            gap: 18px;
            padding: 40px 15px;
        }

        &__top {
            margin-bottom: 24px;
        }
    }

    .footer {

        &__top {
            padding: 80px 0;
        }

        &__container-top {
            gap: 50px;
        }
        
        &__left {
            margin: 0;
        }

        &__title {
            margin-bottom: 17px;
        }

        &__desc {
            margin-bottom: 30px;
        }
    }
}

@media (max-width: 480px) {
    .main {
        margin-bottom: 0;
    }

    .logo {
        width: 84px;
        height: 44px;
    }

    .container {
        padding: 0 16px;
    }

    .sub-title {
        font-size: 16px;
        line-height: 125%;
    }

    .section-title {
        font-size: 20px;
        margin-bottom: 24px;
    }

    .header {
        &__title {
            font-size: 26px;
            margin-bottom: 32px;
        }

        &__link {
            margin-bottom: 0;
        }

        &__top {
            margin-bottom: 234px
        }

        &__form {
            padding: 0;
            background-color: transparent;

            .form__select {
                display: none;
            }
        }
    }

    .about {
        &__container {
            gap: 40px;
        }

        &__information {
            margin-bottom: 24px;
            font-size: 16px;
        }

        &__left {
            min-height: 397px;
            background-image: url(/images/about-background-mobile.png);
        }

        &__right {
            display: flex;
            flex-direction: column;
        }

        &__btn {
            max-width: 179px;
            align-self: center;
        }
    }

    .service {
        &__section-title {
            margin-bottom: 32px;
        }

        &__info {
            margin-bottom: 32px;
            font-size: 16px;
        }

        &__pluses {
            gap: 32px;
        }

        &__item_gid::after {
            top: 0;
        }

        &__item_security::after {
            top: 0;
        }

        &__item_price::after {
            top: 0;
        }

        &__left {
            display: flex;
            flex-direction: column;
        }

        &__btn {
            align-self: center;
            max-width: 220px;
        }
    }

    .hit {
        &__title {
            align-self: flex-start;
        }

        &__cards {
            flex-wrap: nowrap;
            margin-bottom: 32px;
        }

        &__item {
            min-height: 400px;
        }

        &__wrapper {
            width: 285px;
            padding: 24px 20px;
        }

        &__caption {
            font-size: 18px;
        }

        &__desc {
            display: none;
        }

        &__price {
            padding: 6px 12px;
            font-size: 16px;
        }
    }

    .blog {

        &__items {
            gap: 24px;
            flex-wrap: nowrap;
            margin-bottom: 32px;
        }

        &__item {
            width: 285px;
            padding: 312px 16px 16px 16px;
            background-position: center top;
            flex-shrink: 0;
            gap: 16px;
        }

        &__title {
            font-size: 20px;
        }
    }

    .photos {
        &__section-title {
            align-self: flex-start;
        }

        &__content {
            margin-bottom: 32px;
        }
    }

    .actual {
        padding: 0 16px 50px 16px;

        &__container {
            padding: 24px;
        }

        &__section-title {
            margin-bottom: 0;
        }
    }

    .footer {

        &__top {
            padding: 50px 0 80px 0;
        }

        &__bottom {
            padding: 20px 0;
        }

        &__container-bottom {
            flex-direction: column;
            gap: 8px;
        }
    }
}